## org.codehaus.groovy.grails.webflow.persistence
Class SessionAwareHibernateFlowExecutionListener

    java.lang.Object
      org.springframework.webflow.execution.FlowExecutionListenerAdapter
          org.springframework.webflow.persistence.HibernateFlowExecutionListener
              org.codehaus.groovy.grails.webflow.persistence.SessionAwareHibernateFlowExecutionListener

All Implemented Interfaces:
  org.springframework.webflow.execution.FlowExecutionListener

    public class SessionAwareHibernateFlowExecutionListener

extends org.springframework.webflow.persistence.HibernateFlowExecutionListener

Extends the HibernateFlowExecutionListener and doesn't bind a session if one is already present

Since:
  1.0

  Created: Feb 12, 2008
Author:
  Graeme Rocher

Constructor Summary
`SessionAwareHibernateFlowExecutionListener(org.hibernate.SessionFactory sessionFactory, PlatformTransactionManager transactionManager)` Create a new Hibernate Flow Execution Listener using giving Hibernate session factory and transaction manager.

Method Summary
`void` `resumed(org.springframework.webflow.execution.RequestContext context)`
`void` `sessionCreated(org.springframework.webflow.execution.RequestContext context, org.springframework.webflow.execution.FlowSession session)`
`void` `sessionEnded(org.springframework.webflow.execution.RequestContext context, org.springframework.webflow.execution.FlowSession session, org.springframework.webflow.core.collection.AttributeMap output)`

Methods inherited from class org.springframework.webflow.persistence.HibernateFlowExecutionListener
`exceptionThrown, paused, setEntityInterceptor`

Methods inherited from class org.springframework.webflow.execution.FlowExecutionListenerAdapter
`eventSignaled, requestProcessed, requestSubmitted, sessionEnding, sessionStarted, sessionStarting, stateEntered, stateEntering`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionAwareHibernateFlowExecutionListener

    public SessionAwareHibernateFlowExecutionListener(org.hibernate.SessionFactory sessionFactory,
                                                      PlatformTransactionManager transactionManager)

  Create a new Hibernate Flow Execution Listener using giving Hibernate session factory and transaction manager.

  Parameters:
    `sessionFactory` - the session factory to use
    `transactionManager` - the transaction manager to drive transactions

Method Detail

### sessionCreated

    public void sessionCreated(org.springframework.webflow.execution.RequestContext context,
                               org.springframework.webflow.execution.FlowSession session)

  Specified by:
    `sessionCreated` in interface `org.springframework.webflow.execution.FlowExecutionListener`
  Overrides:
    `sessionCreated` in class `org.springframework.webflow.persistence.HibernateFlowExecutionListener`

### sessionEnded

    public void sessionEnded(org.springframework.webflow.execution.RequestContext context,
                             org.springframework.webflow.execution.FlowSession session,
                             org.springframework.webflow.core.collection.AttributeMap output)

  Specified by:
    `sessionEnded` in interface `org.springframework.webflow.execution.FlowExecutionListener`
  Overrides:
    `sessionEnded` in class `org.springframework.webflow.persistence.HibernateFlowExecutionListener`

### resumed

    public void resumed(org.springframework.webflow.execution.RequestContext context)

  Specified by:
    `resumed` in interface `org.springframework.webflow.execution.FlowExecutionListener`
  Overrides:
    `resumed` in class `org.springframework.webflow.persistence.HibernateFlowExecutionListener`

Copyright (c) 2005-2006 The Grails project